# Uses of Class
org.eclipse.birt.report.model.api.SlotHandle

Packages that use SlotHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.table

## Uses of SlotHandle in org.eclipse.birt.report.model.api

Fields in org.eclipse.birt.report.model.api declared as SlotHandle
Modifier and Type
Field
Description
`protected final SlotHandle`
SlotIterator.`slotHandle`
Handle to the slot over which to iterate.
`protected final SlotHandle`
SortedSlotIterator.`slotHandle`
Handle to the slot over which to iterate.
Methods in org.eclipse.birt.report.model.api that return SlotHandle
Modifier and Type
Method
Description
`SlotHandle`
GridHandle.`getCellContent(int row, int column)`
Gets the content slot handle of the cell at the position where the given row and column intersect.
`SlotHandle`
RowHandle.`getCells()`
Returns the cell slot of row.
`protected SlotHandle`
GridColumnBandAdapter.`getColumns()`
`SlotHandle`
GridHandle.`getColumns()`
Returns a slot handle for the columns in the grid.
`protected SlotHandle`
TableColumnBandAdapter.`getColumns()`
`SlotHandle`
TableHandle.`getColumns()`
Returns the column slot.
`SlotHandle`
ModuleHandleImpl.`getComponents()`
Returns a slot handle to work with the top-level components within the report.
`SlotHandle`
CssSharedStyleHandle.`getContainerSlotHandle()`
`SlotHandle`
DesignElementHandle.`getContainerSlotHandle()`
Returns the a handle the the container's slot that holds this element.
`SlotHandle`
CellHandle.`getContent()`
Returns the contents of the cell.
`SlotHandle`
GraphicMasterPageHandle.`getContent()`
Returns the slot handle for the content.
`SlotHandle`
LibraryHandleImpl.`getCubes()`
`abstract SlotHandle`
ModuleHandleImpl.`getCubes()`
Gets the slot handle to work with all cube elements within the report.
`SlotHandle`
ModuleHandleImpl.`getDataSets()`
Returns a slot handle to work with the data sets within the report.
`SlotHandle`
ModuleHandleImpl.`getDataSources()`
Returns a slot handle to work with the data sources within the report.
`SlotHandle`
ListingHandle.`getDetail()`
Returns the detail slot.
`SlotHandle`
GroupHandle.`getFooter()`
Returns the footer slot.
`SlotHandle`
ListingHandle.`getFooter()`
Returns the footer slot.
`SlotHandle`
ListingHandle.`getGroups()`
Returns the group slot.
`SlotHandle`
GroupHandle.`getHeader()`
Returns the header slot in the group.
`SlotHandle`
ListingHandle.`getHeader()`
Returns the header slot.
`SlotHandle`
ModuleHandleImpl.`getMasterPages()`
Returns a slot handle to work with the master pages within the report.
`SlotHandle`
SimpleMasterPageHandle.`getPageFooter()`
Returns the page footer slot of this simple master page.
`SlotHandle`
SimpleMasterPageHandle.`getPageHeader()`
Returns the page header slot of this simple master page.
`SlotHandle`
ModuleHandleImpl.`getParameters()`
Returns a slot handle to work with the top-level parameters and parameter groups within the report.
`SlotHandle`
ParameterGroupHandle.`getParameters()`
Returns a slot handle to work with the parameters within the parameter group.
`SlotHandle`
FreeFormHandle.`getReportItems()`
Returns a slot handle to work with the Report Items within the free-form.
`SlotHandle`
GridHandle.`getRows()`
Returns a slot handle for the rows in the grid.
`SlotHandle`
DesignElementHandle.`getSlot(int slotID)`
Returns a handle to the given slot.
`final SlotHandle`
AbstractThemeHandle.`getStyles()`
Returns the styles slot of row.
`SlotHandle`
LibraryHandleImpl.`getStyles()`
Deprecated.
uses the theme instead
`SlotHandle`
ModuleHandleImpl.`getStyles()`
Returns a slot handle to work with the styles within the report.
`SlotHandle`
LibraryHandleImpl.`getThemes()`
Returns a slot handle to work with the themes within the library.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type SlotHandle
Modifier and Type
Method
Description
`Iterator<SlotHandle>`
DesignElementHandle.`slotsIterator()`
Returns the iterator for slot defined on the element.
Constructors in org.eclipse.birt.report.model.api with parameters of type SlotHandle
Modifier
Constructor
Description
``
`SlotIterator(SlotHandle handle)`
Constructs an iterator for the given slot.
``
`SortedSlotIterator(SlotHandle handle)`
Constructs a sorted slot iterator with the given slot handle.

## Uses of SlotHandle in org.eclipse.birt.report.model.api.elements.table

Methods in org.eclipse.birt.report.model.api.elements.table that return SlotHandle
Modifier and Type
Method
Description
`SlotHandle`
LayoutSlot.`getSlot()`
Returns the slot handle of the layout slot.